These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

EVE Technology Lab

 
  • Topic is locked indefinitely.
 

phpBB 3.x API Registration Mod v6+

Author
DarkenedCell
Doomheim
#781 - 2013-05-09 11:25:50 UTC
Hello there,

At the moment I got a problem with the [evefit] tag which causes to get the fitting window with the modules underneath it with my chrome browser. I am using CDN and CloudFlare which has been 'disabled' and put under 'development' mode which gave me no results.

How I put in the EVE fitting:

Quote:

[evefit][Drake, Drake: Optimal solo - small gang PvP drake]
Power Diagnostic System II
Damage Control II
Ballistic Control System II
Ballistic Control System II

Adaptive Invulnerability Field II
Adaptive Invulnerability Field II
Warp Disruptor II
Large Shield Extender II
X5 Prototype Engine Enervator
10MN Microwarpdrive I

Small Diminishing Power System Drain I
Heavy Assault Missile Launcher II
Heavy Assault Missile Launcher II
Heavy Assault Missile Launcher II
Heavy Assault Missile Launcher II
Heavy Assault Missile Launcher II
Heavy Assault Missile Launcher II
Heavy Assault Missile Launcher II

Medium Core Defense Field Extender I
Medium Core Defense Field Extender I
Medium Core Defense Field Extender I


Hobgoblin II

[/evefit]


How it looks like:
http://www.pulse207.com/wp-content/uploads/2013/05/messedup.png

Regards,
DarkenedCell
eidenjunior
Perkone
Caldari State
#782 - 2013-05-09 12:43:06 UTC  |  Edited by: eidenjunior
DarkenedCell wrote:



you are probly missing the eveapi_fitting.css and eveapi_fitting.js that you need to copy from the prosilver folder to the new style.


Cyerus what is your short term plan for the mod and long term plan?
Hazmat Spade
Reaping Dragons
Pan-Intergalatic Business Community
#783 - 2013-05-09 19:42:56 UTC
So through painstaking trial and error and more trial and error, and redoing over n over n over, some major buggs are happening

so i did another clean install

phpbb3 current ver
automod current
umil current
your mod current

did everything via your youtube video

IT WORKED PERFECT !!!!!

until...........

i made one change on the Theme, and that was changing the width of the website....

and it gives again this error

The value you entered is too short.

Please tell me there is some simple fix so this dont happen.......

i even undid what i changed... and it still wont work again.....
Cyerus
Eternal Strife
#784 - 2013-05-09 21:52:11 UTC  |  Edited by: Cyerus
ILLADEN wrote:
Cyerus wrote:

The requirement for eveapi_mod_certs.php is within an if() statement and should not cause any errors, as that config value isn't part of the mod either, meaning that the if() statement never turns true, and thus never runs that line.


Hello;


Thank you for your reply. Although it isn't a problem for me to edit out the code, I wanted to tell you that my server triggered the if statement when I added an API key in the standings menu.

Would you be able to tell me where in your code the mod checks for the value size?



Yours sincereley,
ILLADEN

Quite impossible, as I've never included any script that sets that config value. Only way you'd receive that error is if you manually created (added) that config value to the database yourself.

I still don't understand why you (and others) are running into the problem of the vCode size. By default the support.eveonline.com/api pages gives a random 64 character vCode (consisting of upper/lower case letters and numbers) which can be used in my mod without any problems.
That page does allow users to create their own vCode which could be at the core of this problem. On the other hand, why would they need to change it? It's already random and unguessable.


eidenjunior wrote:
DarkenedCell wrote:



you are probly missing the eveapi_fitting.css and eveapi_fitting.js that you need to copy from the prosilver folder to the new style.


Cyerus what is your short term plan for the mod and long term plan?

Another problem that exists because the user didn't make the required changes to the template. I've explained before (and will again) that templates uses inheritance. There is NO need to manually add the .css and .js files to the new template, as it should automatically grab the both files from the parent template.

- Either you have disabled the parent template (Prosilver / Subsilver2), which should show you a warning that it's a bad idea to do that.
- Or you haven't installed the changes to the template (AutoMOD can do this for you, as the video shows you in detail).
- Or the masterswitch of the mod is not enabled. The switch 'EVE API Validation' should be enabled before all of my files and functions are working (this is to improve loading times).

Please stop giving advice to copy over the .css and .js files..


My long term plan is to basically wait for CREST to show it's power, and change the mod to fully support it. At this point it is unclear when we (developer) gain access to the beta.
My short term plan is to change the DB to Odyssey once released, to continue / finish the options on the groups-screen rather than the general-screen and to create a simple video showing the power of ejabberd (Jabber) integration.




If you are still having issues with any characters unable to create an account because of the "Too short"- error, please send me an evemail with the charactername, keyid and vcode so that I can test that character on my testforum.

.
DarkenedCell
Doomheim
#785 - 2013-05-10 16:15:55 UTC  |  Edited by: DarkenedCell
Cyerus wrote:

eidenjunior wrote:
DarkenedCell wrote:



you are probly missing the eveapi_fitting.css and eveapi_fitting.js that you need to copy from the prosilver folder to the new style.


Cyerus what is your short term plan for the mod and long term plan?

Another problem that exists because the user didn't make the required changes to the template. I've explained before (and will again) that templates uses inheritance. There is NO need to manually add the .css and .js files to the new template, as it should automatically grab the both files from the parent template.

- Either you have disabled the parent template (Prosilver / Subsilver2), which should show you a warning that it's a bad idea to do that.
- Or you haven't installed the changes to the template (AutoMOD can do this for you, as the video shows you in detail).
- Or the masterswitch of the mod is not enabled. The switch 'EVE API Validation' should be enabled before all of my files and functions are working (this is to improve loading times).

Please stop giving advice to copy over the .css and .js files..

.....
.


Its been installed trough the instructions of the video trough automod, I have not disabled any themes in PHPBB3 and also cannot find warnings in error_log or warn_log trough SSH.

//Edit:
Fixed it, my CDN was not loading the CSS/Java file caused by my server's protection.
coldbadger
Supply Industries Ltd
#786 - 2013-05-10 17:28:03 UTC
I know you get asked this alot as i have read but i cannot find a way to sort my issues.

When trying to run eveapi_update.php there is no API boxes so it cannot be updated.

I cant work out what i need to change to get this to work as im using a custom theme.

I really am pulling my hair out.

Please help!!!!

Thanks in advance
Cyerus
Eternal Strife
#787 - 2013-05-10 18:08:02 UTC
DarkenedCell wrote:
Its been installed trough the instructions of the video trough automod, I have not disabled any themes in PHPBB3 and also cannot find warnings in error_log or warn_log trough SSH.

//Edit:
Fixed it, my CDN was not loading the CSS/Java file caused by my server's protection.


coldbadger wrote:
I know you get asked this alot as i have read but i cannot find a way to sort my issues.

When trying to run eveapi_update.php there is no API boxes so it cannot be updated.

I cant work out what i need to change to get this to work as im using a custom theme.

I really am pulling my hair out.

Please help!!!!

Thanks in advance


In the second post of this topic there's a link to the videos. On the "Installation and Changes (6.2.0)"-video, start watching from 34:30 as that part will explain the installation of the API fields into new styles.
coldbadger
Supply Industries Ltd
#788 - 2013-05-11 15:09:19 UTC
Cyerus wrote:
DarkenedCell wrote:
Its been installed trough the instructions of the video trough automod, I have not disabled any themes in PHPBB3 and also cannot find warnings in error_log or warn_log trough SSH.

//Edit:
Fixed it, my CDN was not loading the CSS/Java file caused by my server's protection.


coldbadger wrote:
I know you get asked this alot as i have read but i cannot find a way to sort my issues.

When trying to run eveapi_update.php there is no API boxes so it cannot be updated.

I cant work out what i need to change to get this to work as im using a custom theme.

I really am pulling my hair out.

Please help!!!!

Thanks in advance


In the second post of this topic there's a link to the videos. On the "Installation and Changes (6.2.0)"-video, start watching from 34:30 as that part will explain the installation of the API fields into new styles.



I have tried this and its not on the user panel or registration im not having the API details its on the eveapi_update.php that its not showing.

Any ideas?
o0beaner
Profiteering Privateers
#789 - 2013-05-15 20:28:31 UTC
To those of you who have tied the module in with ejabberd:

Has anyone been able to get presence to work? None of my users are able to see each other as being online. Is this feature broken by the API auth mod?
o0beaner
Profiteering Privateers
#790 - 2013-05-15 20:50:47 UTC
o0beaner wrote:
To those of you who have tied the module in with ejabberd:

Has anyone been able to get presence to work? None of my users are able to see each other as being online. Is this feature broken by the API auth mod?


Fixed this. For those who are interested:

In addition to Cyreus' instructions on what to add to your ejabberd.cfg file, you also need to add this line:

{extauth_cache, 0}.


Then follow the instructions in this article to create the address list:

http://www.ejabberd.im/shared-roster-all



I had done that previously, but without the extauth_cache parameter being set, it doesn't work. Since the authentication is being handled solely on the phpbb side, ejabberd doesn't actually have a list of users to populate the shared roster group with.

Cheers
coldbadger
Supply Industries Ltd
#791 - 2013-05-16 12:58:13 UTC
coldbadger wrote:
Cyerus wrote:
DarkenedCell wrote:
Its been installed trough the instructions of the video trough automod, I have not disabled any themes in PHPBB3 and also cannot find warnings in error_log or warn_log trough SSH.

//Edit:
Fixed it, my CDN was not loading the CSS/Java file caused by my server's protection.


coldbadger wrote:
I know you get asked this alot as i have read but i cannot find a way to sort my issues.

When trying to run eveapi_update.php there is no API boxes so it cannot be updated.

I cant work out what i need to change to get this to work as im using a custom theme.

I really am pulling my hair out.

Please help!!!!

Thanks in advance


In the second post of this topic there's a link to the videos. On the "Installation and Changes (6.2.0)"-video, start watching from 34:30 as that part will explain the installation of the API fields into new styles.



I have tried this and its not on the user panel or registration im not having the API details its on the eveapi_update.php that its not showing.

Any ideas?


I was helped by Cyerus with this

We removed the template and API mod.

re uploaded the template and reinstalled the Mod and then use the inbuilt port to make the changes to the custom template. Now all is working

Thanks for the help

10/10
Rypticus
Aliastra
Gallente Federation
#792 - 2013-05-20 05:55:53 UTC
Can you please help me with a problem I having with the eve bbcodes not working properly. When linking an eve item or system using the bbcode you can see the icons but the links don't work. I have watched your videos fully multiple times as well as done much googling but I can not find any documented on this. Any help would be much appreciated.

Thanks in advance
Rypticus
Aliastra
Gallente Federation
#793 - 2013-05-20 07:50:26 UTC
Rypticus wrote:
Can you please help me with a problem I having with the eve bbcodes not working properly. When linking an eve item or system using the bbcode you can see the icons but the links don't work. I have watched your videos fully multiple times as well as done much googling but I can not find any documented on this. Any help would be much appreciated.

Thanks in advance



Lol I just realized its only available in game.

Thanks anyway :)

Thanks so much for this awesome mod !!
Rypticus
Aliastra
Gallente Federation
#794 - 2013-05-20 22:21:01 UTC
Please Help: I am having some problems with the eve fitting bbcode. I am following your directions on the video with the same fit as you used as example in the video. I changed & to and and removed the slash's and put in - in their place but this is what I get:

eve fitting bbcode error

Any ideas what would be causing this not to work?
Durzel
Questionable Ethics.
Ministry of Inappropriate Footwork
#795 - 2013-05-21 14:03:23 UTC
Rypticus wrote:
Please Help: I am having some problems with the eve fitting bbcode. I am following your directions on the video with the same fit as you used as example in the video. I changed & to and and removed the slash's and put in - in their place but this is what I get:

eve fitting bbcode error

Any ideas what would be causing this not to work?

eidenjunior wrote:
DarkenedCell wrote:



you are probly missing the eveapi_fitting.css and eveapi_fitting.js that you need to copy from the prosilver folder to the new style.

Rypticus
Aliastra
Gallente Federation
#796 - 2013-05-21 16:47:48 UTC
Quote:


Regards,
DarkenedCell


you are probly missing the eveapi_fitting.css and eveapi_fitting.js that you need to copy from the prosilver folder to the new style.




Thanks for your reply Durzel, however I am still having same problem. I moved over "eveapi_fitting.css" and "eveapi_fitting.js" over to my new theme but still same problem.

That file in prosilver was in styles/prosilver/template/eveapi_fitting.css
I moved it to styles/leviathan/template/eveapi_fitting.sss
Draugo Rana
Masuat'aa Matari
Ushra'Khan
#797 - 2013-05-29 12:29:10 UTC

Thanks for the great mod and the detailed tutorial videos.

I have a question that surprisingly, I couldn't find an answer to anywhere:

Is it possible to make EVE API registration and validation optional? I want users to be able to freely register to the forums but if they provide API key, they get the benefits of EVE API validation (automatic avatar downloading, assignment to groups with higher permissions, etc). And also, if the user has API key invalid or expired, not to auto disable the account, just remove the user from groups that require API key validation.

WIthout it, the mod is more of an "all or nothing" approach to EVE API. It doesn't allow mixed communities that play other games than EVE or situations where old members no longer have active EVE account but should be still able to participate in the forums.

Cheers

Ryanis
First Whisper
#798 - 2013-05-31 13:30:11 UTC
Hello Cyerus.

Your mod is fantastic.
I've been using it for some time now and find it so easy to use and efficient.

However, I ran into a small problem lately with "CA Black" style.
It has not installed correctly and Account Settings don't show the EvE_API custom field (Api key id, vCode...).

I tried to remove the style and re-installed it, but Automod doesn't let me apply a new time the style modification saying that "Mod is already installed".
Do you know a way to get rid of this annoying error?
Cyerus
Eternal Strife
#799 - 2013-06-01 20:30:11 UTC
Draugo Rana wrote:

Thanks for the great mod and the detailed tutorial videos.

I have a question that surprisingly, I couldn't find an answer to anywhere:

Is it possible to make EVE API registration and validation optional? I want users to be able to freely register to the forums but if they provide API key, they get the benefits of EVE API validation (automatic avatar downloading, assignment to groups with higher permissions, etc). And also, if the user has API key invalid or expired, not to auto disable the account, just remove the user from groups that require API key validation.

WIthout it, the mod is more of an "all or nothing" approach to EVE API. It doesn't allow mixed communities that play other games than EVE or situations where old members no longer have active EVE account but should be still able to participate in the forums.

Cheers


At the moment it's only full enable or full disable. Can't have both.
Might be implementing this in the future, but it's a bit of a hassle.


Ryanis wrote:
Hello Cyerus.

Your mod is fantastic.
I've been using it for some time now and find it so easy to use and efficient.

However, I ran into a small problem lately with "CA Black" style.
It has not installed correctly and Account Settings don't show the EvE_API custom field (Api key id, vCode...).

I tried to remove the style and re-installed it, but Automod doesn't let me apply a new time the style modification saying that "Mod is already installed".
Do you know a way to get rid of this annoying error?

Easiest way would be to uninstall and then reinstall my mod using AutoMOD. Settings should be preserved, but it shouldn't hurt to create a backup just in case.

Simple google search on "AutoMOD says mod already installed on style" should help you further.
Ryanis
First Whisper
#800 - 2013-06-02 08:05:10 UTC
Cyerus wrote:
Easiest way would be to uninstall and then reinstall my mod using AutoMOD. Settings should be preserved, but it shouldn't hurt to create a backup just in case.

Simple google search on "AutoMOD says mod already installed on style" should help you further.


Thank you, it works a lot better.

I have a question about eveapi_cron.php however. Is it link to PHPBB3 cron and so called regularly ?
Also, is it also working with other templates ? I personnaly get the "template->_tpl_load_file(): File ./styles/ca_black/template/eveapi_cron.html does not exist or is empty" error while browsing it with CA Black.